Subject: Refactor Request -> Remove *ObjectNamePattern
Description

We should refactor the MVC_Request, to move all logic out of it.
This means the following:
    -  Drop $controllerObjectNamePattern (and getters/setters for it)
    -  Drop $viewObjectNamePattern (and getters/setters for it)
    -  Presumably, a lot of other stuff can be removed as well due to that refacoring.
    -  Introduce a new $fullyQualifiedControllerObjectName (including setters/getters) which contains fully qualified Controller name,
such as F3\MyPackage\MySubPackage\Controller\SomeController
    -  Analogous for $fullyQualifiedViewObjectName

The fullyQualifiedControllerName is being set by the MVC\Web\Routing\Router.

Associated revisions
Revision f3815ec8 - 2009-01-12 12:45 - Bastian Waidelich

    -  FLOW3: (MVC) Implemented support for subpackages in router. Relates to #2444.

Revision fe2501ed - 2009-03-02 11:51 - Karsten Dambekalns
FLOW3:
    -  removed controllerObjectNamePattern and viewObjectNamePattern from some places, refs #2444
    -  added caching to routing, based on work by Bastian and Sebastian, fixes #1791
    -  the Router resolve()s in lowercase and matches case-insensitive now, refs #2237
TYPO3CR:
    -  adjustments to Routes.yaml suggestion

History
#1 - 2009-01-27 18:08 - Karsten Dambekalns
- Tracker changed from Bug to Task

#2 - 2009-03-24 11:59 - Karsten Dambekalns
- Status changed from New to Needs Feedback
- Assigned To set to Sebastian Kurfuerst

Hi, is this done or is there still something missing?
#3 - 2009-03-28 16:19 - Sebastian Kurfuerst
- Status changed from Needs Feedback to Rejected

It is not really "fixed", but I think we should not change it from the way it is now. I think it is better to have the controllerObjectNamePattern in the
request and build the "controllerObjectName" on the fly.

Greets,
Sebastian
